Laserbrain Studios Forum

Ascii Sector => General => Topic started by: spaceportredlightdistrict on March 09, 2018, 09:49:25 AM

Title: Cannot start the game
Post by: spaceportredlightdistrict on March 09, 2018, 09:49:25 AM
Hi.

Ubuntu user. When launching the game from the terminal, I get this error:

./asciisec: error while loading shared libraries: libSDL2_mixer-2.0.so.0: cannot open shared object file: No such file or directory

I understand that I need "SDL2, SDL2_mixer and SDL2_image". How do I get these? Searching "SDL2" in my package manager yields only software that references that it uses SDL2 in its description.

I've tried installing SDL2 manually with these commands:

sudo apt install libsdl2-2.0
sudo apt install libsdl2-dev

The installations were successful. Trying to launch the game returns the same error as before.
Title: Re: Cannot start the game
Post by: Christian Knudsen on March 09, 2018, 03:22:50 PM
libsdl2 is the base SDL2 package, you also have to install libsdl2-mixer and libsdl2-image in addition to that (the dev versions aren't needed).
Title: Re: Cannot start the game
Post by: spaceportredlightdistrict on March 09, 2018, 05:00:48 PM
Searching the Internet for how to install those two,

sudo apt install libsdl2-2.0-0 libsdl2-image-2.0-0 libsdl2-mixer-2.0-0

succeeded, and I can now start the game. (The redundant libsdl2-2.0-0 call is kept for superstition and reference to others.)

Thank you.
Title: Re: Cannot start the game
Post by: StanfordMur on May 29, 2018, 01:44:25 PM
Mind sharing how you managed to do that, Spaceport? I can't get the game to run...
Title: Re: Cannot start the game
Post by: Christian Knudsen on May 29, 2018, 02:53:12 PM
Have you installed the three SDL2 libraries?